SystemEDGE Install Fails On Unix/Linux

Document ID : KB000046534
Last Modified Date : 14/02/2018
Show Technical Document Details

Problem:

The ca-setup.sh install script for SystemEDGE may fail with the following error:

ca-sm-installer[2185]: test: argument expected
Platform is not supported
Reason:         The specified platform is not supported or an adequate Installer has not been added to the product.
Action:         Check if the platform is supported and the correct Installer image has been added to the product.

The "platform not supported" error may occur despite the installation being run on a properly supported/certified platform.

 

Environment:

UNIX/Linux hosts

 

Cause:

Some Terminal and/or Language settings in conjunction with some Terminal software may cause the installation scripts to receive unexpected characters while attempting to validate platform information.

 

Resolution:

To resolve this problem and run the instillation successfully, change the TERM and LANG environment variables to very basic/compatible settings:

export TERM=vt100
export LANG=C
sh ./ca-setup.sh

Additional Information:

CA SystemEDGE Platform Support Information